> For the complete documentation index, see [llms.txt](https://docs.violet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.violet.io/relay/get-shipping-zones.md).

# Relay Shipping Zones

## Relay Get Shipping Zones

Using Relay the shipping zone and shipping method data in an external commerce platform is translated into a single common schema in real time. You can fetch these shipping zones using the Relay Get Shipping Zones endpoint.

**Get Shipping Zones**

The response will contain all shipping zones and all methods within those zones. There is no pagination when using this endpoint.

`GET /v1/relay/merchants/{merchant_id}/shipping-zones`

<details>

<summary>Sample Response</summary>

```json
{
  "content": [{
    "external_id": "457216524578",
    "name": "Domestic",
    "display_order": 1,
    "enabled": true,
    "regions": [{
      "name": "United States",
      "code": "US",
      "type": "COUNTRY",
      "enabled": true,
      "display_order": 1,
      "sub_regions": [{
        "name": "Washington",
        "code": "WA",
        "type": "PROVINCE",
        "enabled": true,
        "display_order": 55,
        "metadata": [{
            "type": "STRING",
            "key": "tax_name",
            "value": "State Tax"
          },
          {
            "type": "DECIMAL",
            "key": "tax",
            "value": 0.065
          },
          {
            "type": "DECIMAL",
            "key": "tax_percentage",
            "value": 6.5
          }
        ]
      }],
      "metadata": [{
          "type": "DECIMAL",
          "key": "tax",
          "value": 0.0
        },
        {
          "type": "STRING",
          "key": "tax_name",
          "value": "Federal Tax"
        }
      ]
    }],
    "methods": [{
        "external_id": "641084293410",
        "name": "Free Ground Shipping Over $50",
        "price": 0,
        "type": "PRICE",
        "min_price": 5000,
        "price_type": "SUBTOTAL"
      },
      {
        "external_id": "641084326178",
        "name": "Economy",
        "price": 490,
        "type": "WEIGHT",
        "min_weight": 0.0,
        "max_weight": 5.0,
        "weight_unit": "POUND"
      },
      {
        "external_id": "641084358946",
        "name": "Economy",
        "price": 1990,
        "type": "WEIGHT",
        "min_weight": 5.0,
        "max_weight": 70.0,
        "weight_unit": "POUND"
      },
      {
        "external_id": "641084457250",
        "name": "First Class Package",
        "carrier_name": "USPS",
        "type": "CARRIER",
        "metadata": [{
            "type": "DECIMAL",
            "key": "percent_modifier",
            "value": 0.0
          },
          {
            "type": "DECIMAL",
            "key": "flat_modifier",
            "value": 0.0
          }
        ]
      },
      {
        "external_id": "641084457250",
        "name": "Priority Mail Express",
        "carrier_name": "USPS",
        "type": "CARRIER",
        "metadata": [{
            "type": "DECIMAL",
            "key": "percent_modifier",
            "value": 0.0
          },
          {
            "type": "DECIMAL",
            "key": "flat_modifier",
            "value": 0.0
          }
        ]
      },
      {
        "external_id": "641084457250",
        "name": "Priority Mail",
        "carrier_name": "USPS",
        "type": "CARRIER",
        "metadata": [{
            "type": "DECIMAL",
            "key": "percent_modifier",
            "value": 0.0
          },
          {
            "type": "DECIMAL",
            "key": "flat_modifier",
            "value": 0.0
          }
        ]
      }
    ],
    "free_shipping": {
      "enabled": true,
      "min_price": 5000,
      "price_type": "SUBTOTAL",
      "exclude_products_with_custom_shipping": true
    }
  }]
}
```

</details>

## Supported Platforms

* Shopify
* BigCommerce
* WooCommerce


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.violet.io/relay/get-shipping-zones.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
